<?php

/**
 * Custom renderer for Glopal status in System Configuration
 *
 * @category   Glopal
 * @package    Glopal_Connector
 * @author     Glopal Team <support@glopal.com>
 * @license    http://opensource.org/licenses/osl-3.0.php
 */
class Glopal_Connector_Block_Adminhtml_System_Config_Fieldset_Status
    extends Mage_Adminhtml_Block_System_Config_Form_Fieldset
{
    protected $_template = 'glopal/system/config/fieldset/status.phtml';

    /**
     * Render fieldset html
     *
     * @param Varien_Data_Form_Element_Abstract $element
     * @return string
     */
    public function render(Varien_Data_Form_Element_Abstract $element)
    {
        $html = $this->toHtml();
        return $html;
    }
}
