# Glopal
Glopal’s tailored one-stop solution covers everything from driving multi-channel traffic through Shopping Ads & International SEO,
to currency conversion, translation, tax & duty calculation, international shipping and global returns.
It’s fully automated SaaS solution truly enables merchants to deliver their international strategy and scale their brand globally.

[Website](https://www.glopal.com/)

# Getting started with Magento plugins
## How to install Glopal's Magento 1 extension?
[Documentation](https://help.glopal.com/hc/en-us/articles/360007542098-How-to-install-Glopal-s-Magento-1-extension-)
### Content:
Step 1. [Download](#step-1-download) </br>
Step 2. [Upload](#step-2-upload) </br>
Step 3. [Refresh](#step-3-refresh) </br>
Step 4. [Configuration](#step-4-configuration) </br>
Step 5. [Connect account](#step-5-connect-account) </br>
Step 6. [Activate stores](#step-6-activate-stores) </br>

#### Step 1. Download
Download the latest version of our extension.

#### Step 2. Upload
Log into Magento and go to “System” and click on “Magento Connect > Magento Connect Manager”. From there, click on “Choose File” and click the orange “Upload” button to upload the extension file.

#### Step 3. Refresh
This should jump you down to the bottom of the page where a black screen will appear. After it finished installing, click the orange “Refresh” button.

#### Step 4. Configuration
After installing the Glopal extension, log out and then log back into Magento Admin Panel. To access Glopal, go to “System” and click on “Configuration.” On this page, under the “Sales” heading, a Glopal option should appear.

#### Step 5. Connect account
Fill out the form and create your account. If you already have a Glopal account, click on “Connect your account” link and log in.

#### Step 6. Activate stores
Fill out the form with your plugin settings and activate your stores.

## Downgrade Magento 1 extension
If you need to downgrade extension to version `1.10.9.0 (or below)` you also have to clean up configuration (in database).
Please use the following SQL query:
```sql
DELETE FROM core_config_data where path in ('payment/glopal/active', 'payment/glopal/title');
```
