<?php
/* @var $installer Mage_Core_Model_Resource_Setup */
$installer = $this;

$installer->startSetup();
$connection = $installer->getConnection();

$connection->insertOnDuplicate($this->getTable('sales_order_status'), array(
    'status' => 'pending_glopal',
    'label' => 'Pending Glopal'
));

$connection->insertOnDuplicate($this->getTable('sales_order_status_state'), array(
    'status' => 'pending_glopal',
    'state' => 'new',
    'is_default' => 0
));

$connection->addColumn(
    $this->getTable('sales_flat_order'),
    'glopal_order_id',
    array(
        'type' => Varien_Db_Ddl_Table::TYPE_TEXT,
        'nullable' => true,
        'default' => null,
        'length' => 255,
        'comment' => 'Glopal Order ID'
    )
);

$installer->endSetup();
